bcb3c1e
From e11ca890308b8e4e1a822a77336b8b540cf1128d Mon Sep 17 00:00:00 2001
bcb3c1e
From: Jakub Filak <jfilak@redhat.com>
bcb3c1e
Date: Tue, 20 Jan 2015 15:12:05 +0100
bcb3c1e
Subject: [PATCH] console-notifications: add timeout
bcb3c1e
bcb3c1e
Related to #898
bcb3c1e
bcb3c1e
Signed-off-by: Jakub Filak <jfilak@redhat.com>
bcb3c1e
---
bcb3c1e
 src/cli/abrt-console-notification.sh | 2 +-
bcb3c1e
 1 file changed, 1 insertion(+), 1 deletion(-)
bcb3c1e
bcb3c1e
diff --git a/src/cli/abrt-console-notification.sh b/src/cli/abrt-console-notification.sh
bcb3c1e
index 976dfc3..a98f164 100755
bcb3c1e
--- a/src/cli/abrt-console-notification.sh
bcb3c1e
+++ b/src/cli/abrt-console-notification.sh
bcb3c1e
@@ -39,4 +39,4 @@ if [ -f "$TMPPATH" ]; then
bcb3c1e
     mv -f "$TMPPATH" "$SINCEFILE" >"$ABRT_DEBUG_LOG" 2>&1
bcb3c1e
 fi
bcb3c1e
 
bcb3c1e
-abrt-cli status --since="$SINCE" 2>"$ABRT_DEBUG_LOG"
bcb3c1e
+timeout 10s abrt-cli status --since="$SINCE" 2>"$ABRT_DEBUG_LOG" || echo "'abrt-cli status' timed out"
bcb3c1e
-- 
bcb3c1e
2.1.0
bcb3c1e